Upstream information

CVE-2018-7685 at MITRE

Description

The decoupled download and installation steps in libzypp before 17.5.0 could lead to a corrupted RPM being left in the cache, where a later call would not display the corrupted RPM warning and allow installation, a problem caused by malicious warnings only displayed during download.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v3 Scores
  SUSE
Base Score 7
Vector AV:L/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1045735 [REOPENED], 1088705 [RESOLVED / DUPLICATE], 1091624 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-1905
SUSE CaaS Platform 3.0
  • libzypp >= 16.17.20-2.33.2
  • zypper >= 1.13.45-21.21.2
Patchnames:
SUSE-CAASP-3.0-2018-1969
SUSE CaaS Platform ALL
  • libzypp >= 16.17.20-2.33.2
  • zypper >= 1.13.45-21.21.2
Patchnames:
SUSE-CAASP-ALL-2018-1969
SUSE Enterprise Storage 4
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-Storage-4-2018-1905
SUSE Linux Enterprise Desktop 12 SP3
  • libzypp >= 16.17.20-2.33.2
  • zypper >= 1.13.45-21.21.2
  • zypper-log >= 1.13.45-21.21.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1969
SUSE Linux Enterprise Module for Basesystem 15
  • libsolv >= 0.6.35-3.5.2
  • libsolv-devel >= 0.6.35-3.5.2
  • libsolv-tools >= 0.6.35-3.5.2
  • libzypp >= 17.6.4-3.10.1
  • libzypp-devel >= 17.6.4-3.10.1
  • python-solv >= 0.6.35-3.5.2
  • zypper >= 1.14.10-3.7.1
  • zypper-log >= 1.14.10-3.7.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1883
SUSE Linux Enterprise Module for Development Tools 15
  • libsolv >= 0.6.35-3.5.2
  • perl-solv >= 0.6.35-3.5.2
  • python3-solv >= 0.6.35-3.5.2
  • ruby-solv >= 0.6.35-3.5.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2018-1883
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-1905
SUSE Linux Enterprise Server 12 SP1-LTSS
  • libzypp >= 15.25.17-46.22.1
  • zypper >= 1.12.59-46.10.1
  • zypper-log >= 1.12.59-46.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1792
SUSE Linux Enterprise Server 12 SP2-BCL
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-1905
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1905
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1905
SUSE Linux Enterprise Server 12 SP3
  • libzypp >= 16.17.20-2.33.2
  • zypper >= 1.13.45-21.21.2
  • zypper-log >= 1.13.45-21.21.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1969
SUSE Linux Enterprise Server 12-LTSS
  • libzypp >= 14.45.17-2.82.1
  • zypper >= 1.11.70-2.69.2
  • zypper-log >= 1.11.70-2.69.2
Patchnames:
SUSE-SLE-SERVER-12-2018-1879
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libzypp >= 15.25.17-46.22.1
  • zypper >= 1.12.59-46.10.1
  • zypper-log >= 1.12.59-46.10.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-1792
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libzypp >= 15.25.17-46.22.1
  • zypper >= 1.12.59-46.10.1
  • zypper-log >= 1.12.59-46.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1792
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-1905
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-1905
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1905
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1905
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libzypp >= 16.17.20-2.33.2
  • zypper >= 1.13.45-21.21.2
  • zypper-log >= 1.13.45-21.21.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1969
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libzypp >= 14.45.17-2.82.1
  • zypper >= 1.11.70-2.69.2
  • zypper-log >= 1.11.70-2.69.2
Patchnames:
SUSE-SLE-SERVER-12-2018-1879
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libzypp >= 16.17.20-2.33.2
  • libzypp-devel >= 16.17.20-2.33.2
  • libzypp-devel-doc >= 16.17.20-2.33.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1969
SUSE OpenStack Cloud 7
  • libzypp >= 16.17.20-27.52.1
  • zypper >= 1.13.45-18.33.1
  • zypper-log >= 1.13.45-18.33.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-1905
openSUSE Leap 15.0
  • libsolv >= 0.6.35-lp150.2.3.1
  • libsolv-debuginfo >= 0.6.35-lp150.2.3.1
  • libsolv-debugsource >= 0.6.35-lp150.2.3.1
  • libsolv-demo >= 0.6.35-lp150.2.3.1
  • libsolv-demo-debuginfo >= 0.6.35-lp150.2.3.1
  • libsolv-devel >= 0.6.35-lp150.2.3.1
  • libsolv-devel-debuginfo >= 0.6.35-lp150.2.3.1
  • libsolv-tools >= 0.6.35-lp150.2.3.1
  • libsolv-tools-debuginfo >= 0.6.35-lp150.2.3.1
  • libzypp >= 17.6.4-lp150.2.3.1
  • libzypp-debuginfo >= 17.6.4-lp150.2.3.1
  • libzypp-debugsource >= 17.6.4-lp150.2.3.1
  • libzypp-devel >= 17.6.4-lp150.2.3.1
  • libzypp-devel-doc >= 17.6.4-lp150.2.3.1
  • perl-solv >= 0.6.35-lp150.2.3.1
  • perl-solv-debuginfo >= 0.6.35-lp150.2.3.1
  • python-solv >= 0.6.35-lp150.2.3.1
  • python-solv-debuginfo >= 0.6.35-lp150.2.3.1
  • python3-solv >= 0.6.35-lp150.2.3.1
  • python3-solv-debuginfo >= 0.6.35-lp150.2.3.1
  • ruby-solv >= 0.6.35-lp150.2.3.1
  • ruby-solv-debuginfo >= 0.6.35-lp150.2.3.1
  • zypper >= 1.14.10-lp150.2.3.1
  • zypper-aptitude >= 1.14.10-lp150.2.3.1
  • zypper-debuginfo >= 1.14.10-lp150.2.3.1
  • zypper-debugsource >= 1.14.10-lp150.2.3.1
  • zypper-log >= 1.14.10-lp150.2.3.1
Patchnames:
openSUSE-2018-1017
openSUSE Leap 42.3
  • libzypp >= 16.17.20-27.1
  • libzypp-debuginfo >= 16.17.20-27.1
  • libzypp-debugsource >= 16.17.20-27.1
  • libzypp-devel >= 16.17.20-27.1
  • libzypp-devel-doc >= 16.17.20-27.1
  • zypper >= 1.13.45-20.1
  • zypper-aptitude >= 1.13.45-20.1
  • zypper-debuginfo >= 1.13.45-20.1
  • zypper-debugsource >= 1.13.45-20.1
  • zypper-log >= 1.13.45-20.1
Patchnames:
openSUSE-2018-1054


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 libzypp Released
CaaS Platform 2.0 libzypp Released
CaaS Platform 3.0 libzypp Released
OpenStack Cloud Magnum Orchestration 7.0 libzypp Released
SUSE Linux Enterprise Desktop 12 SP2 libzypp Affected
SUSE Linux Enterprise Desktop 12 SP3 libzypp Released
SUSE Linux Enterprise Module for Basesystem 15 GA libzypp Released
SUSE Linux Enterprise SDK 11 SP4 libzypp Affected
SUSE Linux Enterprise SDK 12 SP2 libzypp Affected
SUSE Linux Enterprise SDK 12 SP3 libzypp Released
SUSE Linux Enterprise Server 11 SP3 LTSS libzypp Affected
SUSE Linux Enterprise Server 11 SP4 libzypp Affected
SUSE Linux Enterprise Server 12 GA LTSS libzypp Released
SUSE Linux Enterprise Server 12 SP1 LTSS libzypp Released
SUSE Linux Enterprise Server 12 SP2 libzypp Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libzypp Released
SUSE Linux Enterprise Server 12 SP3 libzypp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libzypp Released